import * as inspectorCommands from './InspectorBackendCommands';
export declare class DOMDomainDebugger implements inspectorCommands.DOMDomain.DOMDomainDispatcher {
    private _enabled;
    events: inspectorCommands.DOMDomain.DOMFrontend;
    commands: any;
    constructor();
    get enabled(): boolean;
    enable(): void;
    /**
     * Disables network tracking, prevents network events from being sent to the client.
     */
    disable(): void;
    getDocument(): {
        root: inspectorCommands.DOMDomain.Node;
    };
    removeNode(params: inspectorCommands.DOMDomain.RemoveNodeMethodArguments): void;
    setAttributeValue(params: inspectorCommands.DOMDomain.SetAttributeValueMethodArguments): void;
    setAttributesAsText(params: inspectorCommands.DOMDomain.SetAttributesAsTextMethodArguments): void;
    removeAttribute(params: inspectorCommands.DOMDomain.RemoveAttributeMethodArguments): void;
    performSearch(params: inspectorCommands.DOMDomain.PerformSearchMethodArguments): {
        searchId: string;
        resultCount: number;
    };
    getSearchResults(params: inspectorCommands.DOMDomain.GetSearchResultsMethodArguments): {
        nodeIds: inspectorCommands.DOMDomain.NodeId[];
    };
    discardSearchResults(params: inspectorCommands.DOMDomain.DiscardSearchResultsMethodArguments): void;
    highlightNode(params: inspectorCommands.DOMDomain.HighlightNodeMethodArguments): void;
    hideHighlight(): void;
    resolveNode(params: inspectorCommands.DOMDomain.ResolveNodeMethodArguments): {
        object: inspectorCommands.RuntimeDomain.RemoteObject;
    };
}
